import java.awt.*;
import java.io.File;
import java.util.HashMap;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.filechooser.*;
import javax.swing.event.*;

public class H13Ex4
{
public static void main(String args[])
{
//önce JFileChooser kullanarak dosyayı seç, sonra dosya özelliklerini göster.
File f=new File("H13Ex1.java");
JFileChooser dosyasec=new JFileChooser();
int onay = dosyasec.showOpenDialog(null);
//veya kayıt için int onay = dosyasec.showSaveDialog(null);
if(onay==JFileChooser.APPROVE_OPTION)
{f=dosyasec.getSelectedFile();}
String s="";
s+="Dosya ismi : "+f.getName()+"\n";
s+="Dizin ismi : "+f.getPath()+"\n";
s+="Mutlak Dizin ismi : "+f.getAbsolutePath()+"\n";
s+="Üst Dizin ismi : "+f.getParent()+"\n";
s+=f.exists() ? "Mevcut " : " Mevcut değil "+"\n";
s+=f.canWrite() ? "Yazılabilir " : " Yazılamaz"+"\n";
s+=f.canRead() ? "Okunabilir " : " Okunamaz"+"\n";
s+=f.isDirectory() ? "Dizin " : " Dizin degil"+"\n";
s+=f.isFile() ? "Dosya " : " Dosya degil"+"\n";
s+=f.isAbsolute() ? "Mutlak dizin ismi " : " Mutlak dizin ismi değil"+"\n";
s+="Son Degisiklik : "+f.lastModified()+"\n";
s+="Dosya boyutu : "+f.length()+" Byte"+"\n";
JOptionPane.showMessageDialog(null,s,"Dosya testi",JOptionPane.PLAIN_MESSAGE);
System.exit(0);
}
}